> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Get the environment with `name`

GET https://app.unleash-instance.example.com/api/admin/environments/{name}

Retrieves the environment with `name` if it exists in this Unleash instance

Reference: https://docs.getunleash.io/api/get-environment

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Request

### Path parameters

- `name` (string, required)

## Response

### 200

environmentSchema

- `name` (string, required) — The name of the environment
- `type` (string, required) — The [type of environment](https://docs.getunleash.io/concepts/environments#environment-types).
- `enabled` (boolean, required) — `true` if the environment is enabled for the project, otherwise `false`.
- `protected` (boolean, required) — `true` if the environment is protected, otherwise `false`. A *protected* environment can not be deleted.
- `sortOrder` (integer, required) — Priority of the environment in a list of environments, the lower the value, the higher up in the list the environment will appear. Needs to be an integer
- `projectCount` (integer, optional, nullable) — The number of projects with this environment
- `apiTokenCount` (integer, optional, nullable) — The number of API tokens for the project environment
- `enabledToggleCount` (integer, optional, nullable) — The number of enabled toggles for the project environment
- `requiredApprovals` (integer, optional, nullable) — Experimental field. The number of approvals required before a change request can be applied in this environment.

## Examples

**Response**

```json
{
  "name": "my-dev-env",
  "type": "development",
  "enabled": true,
  "protected": true,
  "sortOrder": 3,
  "projectCount": 10,
  "apiTokenCount": 6,
  "enabledToggleCount": 10,
  "requiredApprovals": 3
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/environments/name"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/environments/name';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/environments/name"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/environments/name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/environments/name")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/environments/name', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/environments/name");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/environments/name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```